Browse code

- fixed a few install issues - added install for the man pages - added debian package build info

Andrei Pelinescu-Onciul authored on 16/07/2002 15:06:05
Showing 24 changed files
... ...
@@ -22,8 +22,10 @@ DEFS+=$(static_defs)
22 22
 modules=$(filter-out $(addprefix modules/, \
23 23
 			$(exclude_modules) $(static_modules)), \
24 24
 			$(wildcard modules/*))
25
-modules_names=$(patsubst modules/%/, %.so, $(modules))
26
-modules_full_path=$(join $(modules), $(modules_names))
25
+modules_names=$(shell echo $(modules)| \
26
+				sed -e 's/modules\/\([^/ ]*\)\/*/\1.so/g' )
27
+#modules_names=$(patsubst modules/%, %.so, $(modules))
28
+modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))
27 29
 
28 30
 NAME=ser
29 31
 
... ...
@@ -87,11 +89,12 @@ tar: mantainer-clean
87 89
 
88 90
 
89 91
 install: all mk-install-dirs install-cfg install-bin install-modules \
90
-	install-doc
92
+	install-doc install-man
91 93
 
92 94
 
93 95
 mk-install-dirs: $(cfg-prefix)/$(cfg-dir) $(bin-prefix)/$(bin-dir) \
94
-			$(modules-prefix)/$(modules-dir) $(doc-prefix)/$(doc-dir)
96
+			$(modules-prefix)/$(modules-dir) $(doc-prefix)/$(doc-dir) \
97
+			$(man-prefix)/$(man-dir)/man8 $(man-prefix)/$(man-dir)/man5
95 98
 
96 99
 $(cfg-prefix)/$(cfg-dir): 
97 100
 		mkdir -p $(cfg-prefix)/$(cfg-dir)
... ...
@@ -106,6 +109,11 @@ $(modules-prefix)/$(modules-dir):
106 109
 $(doc-prefix)/$(doc-dir):
107 110
 		mkdir -p $(doc-prefix)/$(doc-dir)
108 111
 
112
+$(man-prefix)/$(man-dir)/man8:
113
+		mkdir -p $(man-prefix)/$(man-dir)/man8
114
+
115
+$(man-prefix)/$(man-dir)/man5:
116
+		mkdir -p $(man-prefix)/$(man-dir)/man5
109 117
 
110 118
 install-cfg:
111 119
 		$(INSTALL-CFG) ser.cfg $(cfg-prefix)/$(cfg-dir)
... ...
@@ -125,4 +133,7 @@ install-modules:
125 133
 install-doc:
126 134
 	$(INSTALL-DOC) README $(doc-prefix)/$(doc-dir)
127 135
 
136
+install-man:
137
+	$(INSTALL-MAN)  ser.8 $(man-prefix)/$(man-dir)/man8
138
+	$(INSTALL-MAN)  ser.cfg.5 $(man-prefix)/$(man-dir)/man5
128 139
 
... ...
@@ -19,18 +19,21 @@ cfg-prefix = $(prefix)
19 19
 bin-prefix = $(prefix)
20 20
 modules-prefix= $(prefix)
21 21
 doc-prefix = $(prefix)
22
+man-prefix = $(prefix)
22 23
 
23 24
 # dirs
24 25
 cfg-dir = etc/ser/
25 26
 bin-dir = sbin/
26 27
 modules-dir = lib/ser/modules/
27
-doc-dir = doc/ser/
28
+doc-dir = share/doc/ser/
29
+man-dir = share/man/
28 30
 
29 31
 INSTALL = install 
30 32
 INSTALL-CFG = $(INSTALL) -m 644
31 33
 INSTALL-BIN = $(INSTALL) -m 755
32 34
 INSTALL-MODULES = $(INSTALL) -m 755
33 35
 INSTALL-DOC = $(INSTALL) -m 644
36
+INSTALL-MAN = $(INSTALL) -m 644
34 37
 
35 38
 
36 39
 # compile-time options
37 40
new file mode 100644
... ...
@@ -0,0 +1,6 @@
1
+ser for Debian
2
+--------------------
3
+
4
+ - experimental version (under construction)
5
+
6
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>, Tue, 16 Jul 2002 15:41:31 +0200
0 7
new file mode 100644
... ...
@@ -0,0 +1,6 @@
1
+ser (0.8.7.6-1) unstable; urgency=low
2
+
3
+  * Initial Release.
4
+
5
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200
6
+
0 7
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+/etc/ser/ser.cfg
0 2
new file mode 100644
... ...
@@ -0,0 +1,12 @@
1
+Source: ser
2
+Section: net
3
+Priority: optional
4
+Maintainer: Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>
5
+Build-Depends: debhelper (>> 3.0.0)
6
+Standards-Version: 3.5.2
7
+
8
+Package: ser
9
+Architecture: any
10
+Depends: ${shlibs:Depends}
11
+Description: Sip Express Router, very fast and configurable SIP proxy
12
+ ser or Sip Express Router is a very fast and configurable SIP proxy.
0 13
new file mode 100644
... ...
@@ -0,0 +1,13 @@
1
+This package was debianized by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de> on
2
+Tue, 16 Jul 2002 15:41:31 +0200.
3
+
4
+It was downloaded from 
5
+
6
+Upstream Author(s): Andrei Pelinescu - Onciul <pelinescu-onciul@fokus.gmd.de>, Bogdan Iancu <iancu@fokus.gmd.de>, Jan Janak <J.Janak@sh.cvut.cz>, Jiri Kuthan <jiri@iptel.org> 
7
+
8
+This software is copyright (c) 2002-2003 by Fhg Fokus
9
+
10
+You are free to distribute this software under the terms of
11
+the GNU General Public License.
12
+On Debian systems, the complete text of the GNU General Public
13
+License can be found in the file `/usr/share/common-licenses/GPL�.
0 14
new file mode 100644
... ...
@@ -0,0 +1,4 @@
1
+#
2
+# Regular cron jobs for the ser-0.8.7 package
3
+#
4
+0 4	* * *	root	ser-0.8.7_maintenance
0 5
new file mode 100644
... ...
@@ -0,0 +1,2 @@
1
+usr/bin
2
+usr/sbin
0 3
new file mode 100644
... ...
@@ -0,0 +1,2 @@
1
+README
2
+TODO
0 3
new file mode 100644
... ...
@@ -0,0 +1,22 @@
1
+Document: ser-0.8.7
2
+Title: Debian ser-0.8.7 Manual
3
+Author: <insert document author here>
4
+Abstract: This manual describes what ser-0.8.7 is
5
+ and how it can be used to
6
+ manage online manuals on Debian systems.
7
+Section: unknown
8
+
9
+Format: debiandoc-sgml
10
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.sgml.gz
11
+
12
+Format: postscript
13
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.ps.gz
14
+
15
+Format: text
16
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.text.gz
17
+
18
+Format: HTML
19
+Index: /usr/share/doc/ser-0.8.7/html/index.html
20
+Files: /usr/share/doc/ser-0.8.7/html/*.html
21
+
22
+  
0 23
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+ser_0.8.7.6-1_i386.deb net optional
0 2
new file mode 100644
... ...
@@ -0,0 +1,70 @@
1
+#! /bin/sh
2
+#
3
+# skeleton	example file to build /etc/init.d/ scripts.
4
+#		This file should be used to construct scripts for /etc/init.d.
5
+#
6
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
7
+#		Modified for Debian GNU/Linux
8
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
9
+#
10
+# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
11
+#
12
+# This file was automatically customized by dh-make on Tue, 16 Jul 2002 15:41:31 +0200
13
+
14
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
15
+DAEMON=/usr/sbin/ser
16
+NAME=ser
17
+DESC=ser
18
+
19
+test -f $DAEMON || exit 0
20
+
21
+set -e
22
+
23
+case "$1" in
24
+  start)
25
+	echo -n "Starting $DESC: $NAME"
26
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
27
+		--exec $DAEMON
28
+	echo "."
29
+	;;
30
+  stop)
31
+	echo -n "Stopping $DESC: $NAME"
32
+	start-stop-daemon --oknodo --stop --quiet --pidfile /var/run/$NAME.pid \
33
+		--exec $DAEMON
34
+	echo "."
35
+	;;
36
+  #reload)
37
+	#
38
+	#	If the daemon can reload its config files on the fly
39
+	#	for example by sending it SIGHUP, do it here.
40
+	#
41
+	#	If the daemon responds to changes in its config file
42
+	#	directly anyway, make this a do-nothing entry.
43
+	#
44
+	# echo "Reloading $DESC configuration files."
45
+	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
46
+	#	/var/run/$NAME.pid --exec $DAEMON
47
+  #;;
48
+  restart|force-reload)
49
+	#
50
+	#	If the "reload" option is implemented, move the "force-reload"
51
+	#	option to the "reload" entry above. If not, "force-reload" is
52
+	#	just the same as "restart".
53
+	#
54
+	echo -n "Restarting $DESC: $NAME"
55
+	start-stop-daemon --stop --quiet --pidfile \
56
+		/var/run/$NAME.pid --exec $DAEMON
57
+	sleep 1
58
+	start-stop-daemon --start --quiet --pidfile \
59
+		/var/run/$NAME.pid --exec $DAEMON
60
+	echo "."
61
+	;;
62
+  *)
63
+	N=/etc/init.d/$NAME
64
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
65
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
66
+	exit 1
67
+	;;
68
+esac
69
+
70
+exit 0
0 71
new file mode 100644
... ...
@@ -0,0 +1,60 @@
1
+.\"                                      Hey, EMACS: -*- nroff -*-
2
+.\" First parameter, NAME, should be all caps
3
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
4
+.\" other parameters are allowed: see man(7), man(1)
5
+.TH SER-0.8.7 SECTION "July 16, 2002"
6
+.\" Please adjust this date whenever revising the manpage.
7
+.\"
8
+.\" Some roff macros, for reference:
9
+.\" .nh        disable hyphenation
10
+.\" .hy        enable hyphenation
11
+.\" .ad l      left justify
12
+.\" .ad b      justify to both left and right margins
13
+.\" .nf        disable filling
14
+.\" .fi        enable filling
15
+.\" .br        insert line break
16
+.\" .sp <n>    insert n+1 empty lines
17
+.\" for manpage-specific macros, see man(7)
18
+.SH NAME
19
+ser-0.8.7 \- program to do something
20
+.SH SYNOPSIS
21
+.B ser-0.8.7
22
+.RI [ options ] " files" ...
23
+.br
24
+.B bar
25
+.RI [ options ] " files" ...
26
+.SH DESCRIPTION
27
+This manual page documents briefly the
28
+.B ser-0.8.7
29
+and
30
+.B bar
31
+commands.
32
+This manual page was written for the Debian distribution
33
+because the original program does not have a manual page.
34
+Instead, it has documentation in the GNU Info format; see below.
35
+.PP
36
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
37
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
38
+.\" respectively.
39
+\fBser-0.8.7\fP is a program that...
40
+.SH OPTIONS
41
+These programs follow the usual GNU command line syntax, with long
42
+options starting with two dashes (`-').
43
+A summary of options is included below.
44
+For a complete description, see the Info files.
45
+.TP
46
+.B \-h, \-\-help
47
+Show summary of options.
48
+.TP
49
+.B \-v, \-\-version
50
+Show version of program.
51
+.SH SEE ALSO
52
+.BR bar (1),
53
+.BR baz (1).
54
+.br
55
+The programs are documented fully by
56
+.IR "The Rise and Fall of a Fooish Bar" ,
57
+available via the Info system.
58
+.SH AUTHOR
59
+This manual page was written by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>,
60
+for the Debian GNU/Linux system (but may be used by others).
0 61
new file mode 100644
... ...
@@ -0,0 +1,152 @@
1
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
2
+
3
+<!-- Process this file with docbook-to-man to generate an nroff manual
4
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
5
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
6
+     less'.  A typical entry in a Makefile or Makefile.am is:
7
+
8
+manpage.1: manpage.sgml
9
+	docbook-to-man $< > $@
10
+
11
+    
12
+	The docbook-to-man binary is found in the docbook-to-man package.
13
+	Please remember that if you create the nroff version in one of the
14
+	debian/rules file targets (such as build), you will need to include
15
+	docbook-to-man in your Build-Depends control field.
16
+
17
+  -->
18
+
19
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
20
+  <!ENTITY dhfirstname "<firstname>FIRSTNAME</firstname>">
21
+  <!ENTITY dhsurname   "<surname>SURNAME</surname>">
22
+  <!-- Please adjust the date whenever revising the manpage. -->
23
+  <!ENTITY dhdate      "<date>July 16, 2002</date>">
24
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
25
+       allowed: see man(7), man(1). -->
26
+  <!ENTITY dhsection   "<manvolnum>SECTION</manvolnum>">
27
+  <!ENTITY dhemail     "<email>pelinescu-onciul@fokus.gmd.de</email>">
28
+  <!ENTITY dhusername  "Andrei Pelinescu-Onciul">
29
+  <!ENTITY dhucpackage "<refentrytitle>SER-0.8.7</refentrytitle>">
30
+  <!ENTITY dhpackage   "ser-0.8.7">
31
+
32
+  <!ENTITY debian      "<productname>Debian</productname>">
33
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
34
+]>
35
+
36
+<refentry>
37
+  <refentryinfo>
38
+    <address>
39
+      &dhemail;
40
+    </address>
41
+    <author>
42
+      &dhfirstname;
43
+      &dhsurname;
44
+    </author>
45
+    <copyright>
46
+      <year>2002</year>
47
+      <holder>&dhusername;</holder>
48
+    </copyright>
49
+    &dhdate;
50
+  </refentryinfo>
51
+  <refmeta>
52
+    &dhucpackage;
53
+
54
+    &dhsection;
55
+  </refmeta>
56
+  <refnamediv>
57
+    <refname>&dhpackage;</refname>
58
+
59
+    <refpurpose>program to do something</refpurpose>
60
+  </refnamediv>
61
+  <refsynopsisdiv>
62
+    <cmdsynopsis>
63
+      <command>&dhpackage;</command>
64
+
65
+      <arg><option>-e <replaceable>this</replaceable></option></arg>
66
+
67
+      <arg><option>--example <replaceable>that</replaceable></option></arg>
68
+    </cmdsynopsis>
69
+  </refsynopsisdiv>
70
+  <refsect1>
71
+    <title>DESCRIPTION</title>
72
+
73
+    <para>This manual page documents briefly the
74
+      <command>&dhpackage;</command> and <command>bar</command>
75
+      commands.</para>
76
+
77
+    <para>This manual page was written for the &debian; distribution
78
+      because the original program does not have a manual page.
79
+      Instead, it has documentation in the &gnu;
80
+      <application>Info</application> format; see below.</para>
81
+
82
+    <para><command>&dhpackage;</command> is a program that...</para>
83
+
84
+  </refsect1>
85
+  <refsect1>
86
+    <title>OPTIONS</title>
87
+
88
+    <para>These programs follow the usual GNU command line syntax,
89
+      with long options starting with two dashes (`-').  A summary of
90
+      options is included below.  For a complete description, see the
91
+      <application>Info</application> files.</para>
92
+
93
+    <variablelist>
94
+      <varlistentry>
95
+        <term><option>-h</option>
96
+          <option>--help</option>
97
+        </term>
98
+        <listitem>
99
+          <para>Show summary of options.</para>
100
+        </listitem>
101
+      </varlistentry>
102
+      <varlistentry>
103
+        <term><option>-v</option>
104
+          <option>--version</option>
105
+        </term>
106
+        <listitem>
107
+          <para>Show version of program.</para>
108
+        </listitem>
109
+      </varlistentry>
110
+    </variablelist>
111
+  </refsect1>
112
+  <refsect1>
113
+    <title>SEE ALSO</title>
114
+
115
+    <para>bar (1), baz (1).</para>
116
+
117
+    <para>The programs are documented fully by <citetitle>The Rise and
118
+      Fall of a Fooish Bar</citetitle> available via the
119
+      <application>Info</application> system.</para>
120
+  </refsect1>
121
+  <refsect1>
122
+    <title>AUTHOR</title>
123
+
124
+    <para>This manual page was written by &dhusername; &dhemail; for
125
+      the &debian; system (but may be used by others).  Permission is
126
+      granted to copy, distribute and/or modify this document under
127
+      the terms of the <acronym>GNU</acronym> Free Documentation
128
+      License, Version 1.1 or any later version published by the Free
129
+      Software Foundation; with no Invariant Sections, no Front-Cover
130
+      Texts and no Back-Cover Texts.</para>
131
+
132
+  </refsect1>
133
+</refentry>
134
+
135
+<!-- Keep this comment at the end of the file
136
+Local variables:
137
+mode: sgml
138
+sgml-omittag:t
139
+sgml-shorttag:t
140
+sgml-minimize-attributes:nil
141
+sgml-always-quote-attributes:t
142
+sgml-indent-step:2
143
+sgml-indent-data:t
144
+sgml-parent-document:nil
145
+sgml-default-dtd-file:nil
146
+sgml-exposed-tags:nil
147
+sgml-local-catalogs:nil
148
+sgml-local-ecat-files:nil
149
+End:
150
+-->
151
+
152
+
0 153
new file mode 100644
... ...
@@ -0,0 +1,48 @@
1
+#! /bin/sh
2
+# postinst script for ser-0.8.7
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postinst> `configure' <most-recently-configured-version>
10
+#        * <old-postinst> `abort-upgrade' <new version>
11
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12
+#          <new-version>
13
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
14
+#          <failed-install-package> <version> `removing'
15
+#          <conflicting-package> <version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+#
19
+# quoting from the policy:
20
+#     Any necessary prompting should almost always be confined to the
21
+#     post-installation script, and should be protected with a conditional
22
+#     so that unnecessary prompting doesn't happen if a package's
23
+#     installation fails and the `postinst' is called with `abort-upgrade',
24
+#     `abort-remove' or `abort-deconfigure'.
25
+
26
+case "$1" in
27
+    configure)
28
+
29
+    ;;
30
+
31
+    abort-upgrade|abort-remove|abort-deconfigure)
32
+
33
+    ;;
34
+
35
+    *)
36
+        echo "postinst called with unknown argument \`$1'" >&2
37
+        exit 1
38
+    ;;
39
+esac
40
+
41
+# dh_installdeb will replace this with shell code automatically
42
+# generated by other debhelper scripts.
43
+
44
+#DEBHELPER#
45
+
46
+exit 0
47
+
48
+
0 49
new file mode 100644
... ...
@@ -0,0 +1,38 @@
1
+#! /bin/sh
2
+# postrm script for ser-0.8.7
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postrm> `remove'
10
+#        * <postrm> `purge'
11
+#        * <old-postrm> `upgrade' <new-version>
12
+#        * <new-postrm> `failed-upgrade' <old-version>
13
+#        * <new-postrm> `abort-install'
14
+#        * <new-postrm> `abort-install' <old-version>
15
+#        * <new-postrm> `abort-upgrade' <old-version>
16
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
17
+# for details, see http://www.debian.org/doc/debian-policy/ or
18
+# the debian-policy package
19
+
20
+
21
+case "$1" in
22
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
23
+
24
+
25
+        ;;
26
+
27
+    *)
28
+        echo "postrm called with unknown argument \`$1'" >&2
29
+        exit 1
30
+
31
+esac
32
+
33
+# dh_installdeb will replace this with shell code automatically
34
+# generated by other debhelper scripts.
35
+
36
+#DEBHELPER#
37
+
38
+exit 0
0 39
new file mode 100644
... ...
@@ -0,0 +1,44 @@
1
+#! /bin/sh
2
+# preinst script for ser-0.8.7
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <new-preinst> `install'
10
+#        * <new-preinst> `install' <old-version>
11
+#        * <new-preinst> `upgrade' <old-version>
12
+#        * <old-preinst> `abort-upgrade' <new-version>
13
+#
14
+# for details, see http://www.debian.org/doc/debian-policy/ or
15
+# the debian-policy package
16
+
17
+
18
+case "$1" in
19
+    install|upgrade)
20
+#        if [ "$1" = "upgrade" ]
21
+#        then
22
+#            start-stop-daemon --stop --quiet --oknodo  \
23
+#                --pidfile /var/run/ser-0.8.7.pid  \
24
+#                --exec /usr/sbin/ser-0.8.7 2>/dev/null || true
25
+#        fi
26
+    ;;
27
+
28
+    abort-upgrade)
29
+    ;;
30
+
31
+    *)
32
+        echo "preinst called with unknown argument \`$1'" >&2
33
+        exit 1
34
+    ;;
35
+esac
36
+
37
+# dh_installdeb will replace this with shell code automatically
38
+# generated by other debhelper scripts.
39
+
40
+#DEBHELPER#
41
+
42
+exit 0
43
+
44
+
0 45
new file mode 100644
... ...
@@ -0,0 +1,39 @@
1
+#! /bin/sh
2
+# prerm script for ser-0.8.7
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <prerm> `remove'
10
+#        * <old-prerm> `upgrade' <new-version>
11
+#        * <new-prerm> `failed-upgrade' <old-version>
12
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
14
+#          <package-being-installed> <version> `removing'
15
+#          <conflicting-package> <version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+
19
+
20
+case "$1" in
21
+    remove|upgrade|deconfigure)
22
+#       install-info --quiet --remove /usr/info/ser-0.8.7.info.gz
23
+        ;;
24
+    failed-upgrade)
25
+        ;;
26
+    *)
27
+        echo "prerm called with unknown argument \`$1'" >&2
28
+        exit 1
29
+    ;;
30
+esac
31
+
32
+# dh_installdeb will replace this with shell code automatically
33
+# generated by other debhelper scripts.
34
+
35
+#DEBHELPER#
36
+
37
+exit 0
38
+
39
+
0 40
new file mode 100755
... ...
@@ -0,0 +1,99 @@
1
+#!/usr/bin/make -f
2
+# Sample debian/rules that uses debhelper.
3
+# GNU copyright 1997 to 1999 by Joey Hess.
4
+#
5
+# $Id$
6
+
7
+
8
+# Uncomment this to turn on verbose mode.
9
+#export DH_VERBOSE=1
10
+
11
+# This is the debhelper compatibility version to use.
12
+export DH_COMPAT=3
13
+
14
+
15
+
16
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
17
+	CFLAGS += -g
18
+endif
19
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
20
+	INSTALL_PROGRAM += -s
21
+endif
22
+
23
+configure: configure-stamp
24
+configure-stamp:
25
+	dh_testdir
26
+	# Add here commands to configure the package.
27
+
28
+	touch configure-stamp
29
+
30
+
31
+build: build-stamp
32
+
33
+build-stamp: configure-stamp 
34
+	dh_testdir
35
+
36
+	# Add here commands to compile the package.
37
+	$(MAKE) all modules="modules/tm modules/textops modules/print"
38
+	#/usr/bin/docbook-to-man debian/ser.sgml > ser.1
39
+
40
+	touch build-stamp
41
+
42
+clean:
43
+	dh_testdir
44
+	dh_testroot
45
+	rm -f build-stamp configure-stamp
46
+
47
+	# Add here commands to clean up after the build process.
48
+	-$(MAKE) clean
49
+
50
+	dh_clean
51
+
52
+install: build
53
+	dh_testdir
54
+	dh_testroot
55
+	dh_clean -k
56
+	dh_installdirs
57
+
58
+	# Add here commands to install the package into debian/ser
59
+	$(MAKE) install modules="modules/tm modules/textops modules/print" \
60
+		prefix=$(CURDIR)/debian/ser/usr \
61
+		cfg-prefix=$(CURDIR)/debian/ser 
62
+
63
+
64
+# Build architecture-independent files here.
65
+binary-indep: build install
66
+# We have nothing to do by default.
67
+
68
+# Build architecture-dependent files here.
69
+binary-arch: build install
70
+	dh_testdir
71
+	dh_testroot
72
+#	dh_installdebconf	
73
+	dh_installdocs
74
+	dh_installexamples
75
+	dh_installmenu
76
+#	dh_installlogrotate
77
+#	dh_installemacsen
78
+#	dh_installpam
79
+#	dh_installmime
80
+#	dh_installinit
81
+	dh_installcron
82
+	dh_installman
83
+	dh_installinfo
84
+#	dh_undocumented
85
+	dh_installchangelogs 
86
+	dh_link
87
+	dh_strip
88
+	dh_compress
89
+	dh_fixperms
90
+#	dh_makeshlibs
91
+	dh_installdeb
92
+#	dh_perl
93
+	dh_shlibdeps
94
+	dh_gencontrol
95
+	dh_md5sums
96
+	dh_builddeb
97
+
98
+binary: binary-indep binary-arch
99
+.PHONY: build clean binary-indep binary-arch binary install configure
0 100
new file mode 100644
... ...
@@ -0,0 +1,7 @@
1
+# Automatically added by dh_installdocs
2
+if [ "$1" = "configure" ]; then
3
+	if [ -d /usr/doc -a ! -e /usr/doc/ser -a -d /usr/share/doc/ser ]; then
4
+		ln -sf ../share/doc/ser /usr/doc/ser
5
+	fi
6
+fi
7
+# End automatically added section
0 8
new file mode 100644
... ...
@@ -0,0 +1,5 @@
1
+# Automatically added by dh_installdocs
2
+if [ \( "$1" = "upgrade" -o "$1" = "remove" \) -a -L /usr/doc/ser ]; then
3
+	rm -f /usr/doc/ser
4
+fi
5
+# End automatically added section
0 6
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+shlibs:Depends=libc6 (>= 2.2.4-4)
0 2
new file mode 100644
... ...
@@ -0,0 +1,6 @@
1
+# Example watch control file for uscan
2
+# Rename this file to "watch" and then you can run the "uscan" command
3
+# to check for upstream updates and more.
4
+# Site		Directory		Pattern			Version	Script
5
+version=2
6
+sunsite.unc.edu	/pub/Linux/Incoming	ser-0.8.7-(.*)\.tar\.gz	debian	uupdate